

body{
    width: 100vw;
    overflow-x: hidden;
    overscroll-behavior-y: none;
    background-color: black;
}

main{
    position: relative;
    z-index: 2;
}
.hero{
    width:  100vw;
    min-height: 100vh;
    background-color: transparent;
    background-image:linear-gradient(to bottom right, #421564, var(--black), var(--black));
    z-index: -2;

}

.hero > .img{
    position: fixed;
    z-index: 1;
    top:200px;
}

.hero > .content{
    width: 100%;
    height: 100%;
    display:flex;
    flex-direction: column;
    align-items: center;
}

.hero > .content > h1{
    color: white;
    font-size: 5rem;
    font-weight: bold;
    margin-top: 180px;
    text-align: center;
}

.hero >.content > .button{
    display:flex;
    justify-content: center;
    align-items: center;
    background: -webkit-linear-gradient(225deg, var(--purple) ,var(--lightblue),var(--pink)) 0 0 / 300% 300%;
    background-size: 200% auto;
    -webkit-animation: gradient_move 3s ease infinite;
    animation: gradient_move 3s ease infinite;
    padding:30px 55px;
    border-radius: 100px;
    margin-top:100px;
    text-decoration: none;

}

.hero >.content > .button:hover{
    -webkit-animation: none 3s ease infinite;
    animation: none 3s ease infinite;
    scale:1.05;
}

.hero> .content > .button > p{
    color:black;
    font-weight: bold;
    font-size: 2rem;
    display: flex;
    align-items: center;

}

.hero> .content > .button > p > span{
    color:black;
    font-weight: bold;
    font-size: 3rem;

}

@-webkit-keyframes gradient_move {
    0%{background-position: 0 92%}
    50%{background-position: 100% 9%}
    100%{background-position: 0 92%}
}

@keyframes gradient_move {
    0%{background-position: 0 92%}
    50%{background-position: 100% 9%}
    100%{background-position: 0 92%}
}

.part2 > .content {
    margin-top: -5px;
    width: 100vw;
    min-height: 3200px;
    background-color: #eee;
    display: flex;
    position: relative;
    padding-bottom: 100px;
}

.part2>.wave{
    background-color: #ccc;
    position: relative;
    z-index: -1;


}

.wave{
    background-color: var(--black);
    position: relative;
    z-index: -1;
}


.part2 > .content > .leftSideWrapper {
    display: flex;
    max-height: 35rem;
    margin-top: 200px;
    overflow-y: hidden;
    position: sticky;
    top: 200px;
    left: 0;
    overflow-x: hidden;
    padding-bottom: 230px;
}

.part2 > .content > .leftSideWrapper > .line {
    width: 3px;
    margin-left: 9vw;
    background-color: transparent;
    background-image: linear-gradient(to bottom, var(--pink), var(--lightblue));
}

.part2 > .content > .leftSideWrapper > .left {
    width: 35vw;
    margin-left: 1vw;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding-left: 3vw;
}

.part2 > .content > .leftSideWrapper > .left > div {
    font-size: 4rem;
    font-weight: bold;
}

.part2 > .content > .leftSideWrapper > #numbers {
    position: absolute;
    display: flex;
    justify-content: space-between;
    width: 95vw;
    transition: 0s;
}

.part2 > .content > .leftSideWrapper > #numbers > p {
    font-size: 45rem;
    color: #ccc;
    margin-top: -120px;
}

.part2 > .content > .right{
    margin-top: 850px;
    padding-bottom: 280px;
}

.part2 > .content > .right .card {
    margin-top: 250px;
    width: 768px;
    background-color: white;
    height: 450px;
    border-radius: 50px;
    box-shadow: #111 10px 10px 50px;
}

.part2 > .content > .right > .card > .topRow {
    height: 150px;
    width: 100%;
    display: flex;
    flex-direction: row;
}

.part2 > .content > .right > .card > .topRow > .title {
    margin-top: 30px;
    margin-left: 40px;
    font-size: 3.5rem;
    font-weight: bold;
    width: 55%;
}

.part2 > .content > .right > .card > .topRow > .title > p{
    font-size: 2rem;
    font-weight: normal;
    width: 55%;
    color: #666;
    margin-left: -10px;
    margin-top:-10px
}

.part2 > .content > .right > .card > .topRow > .icon {
    margin-left: 130px;
    margin-top: 10px;

}

.part2 > .content > .right > .card > .topRow > .icon > svg {
   height: 150px;
    width: 150px;

}

.part2 > .content > .right > .card > .text {
    font-size: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 40px;
    margin-left: 20px;
    padding-left: 20px;
    border-left: solid #666 2px;
    color:#555;
    width: 70%;
    min-height: 40%;
    padding-top:40px;
}

.part2 > .content > .right > .card > .bottomLine {
    width: 75%;
    border-bottom: solid #666 2px;
    margin-left: 50px;
    margin-top: 20px;
}

.part3{
    width: 100vw;
    min-height: 65vh;
    background-color: #cccccc;
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top:-5px;
}

.part3>h1{
    font-size: 5rem;
    font-weight: bold;
    text-shadow: var(--purple) 1px 1px 1px;
    text-align: center;
}

.part3>.cardsWrapper{
    width: 90%;
    margin-left: 5%;
    margin-right: 5%;
    display:flex;
    justify-content: center;
    gap:5% 2%;
    margin-top:100px;
    flex-wrap: wrap;
}

.part3>.cardsWrapper>.cardCover>.card{
    width: 95%;
    height: 95%;
    margin-left:3%;
    margin-bottom: 3%;
    margin-top:2%;
    margin-right: 2%;
    display:flex;
    flex-direction: column;
    align-items: center;
    border-bottom: var(--purple) 2px solid;
    border-left: var(--purple) 2px solid;
    border-radius: 0px 0px 0px 20px;

}

.part3>.cardsWrapper>.cardCover{
    width: 500px;
    min-height: 300px;
    display:flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #ffffff;
    border-radius: 0px 0px 0px 20px;
    box-shadow: #111 5px 5px 50px;

}




.part3>.cardsWrapper>.cardCover>.card>.topRow{
    width: 95%;
    margin-left: 5%;
    min-height: 40%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.part3>.cardsWrapper>.cardCover>.card>.topRow>p{
    font-size:2rem;
    font-weight: bold;
    width: 70%;
    margin-left:10px;

}

.part3>.cardsWrapper>.cardCover>.card>ul{
    width: 90%;
    margin-left:10%;
    color:#333;
    font-size: 1.5rem;
}


@media (max-width: 1600px) {
    .part2>.content>.leftSideWrapper{
        display: none;
    }

    .part2>.content{
        display: flex;
        flex-direction: column;
        align-items: center;
        min-height: 180vw;
    }

    .part2>.content>.right>.card{
        margin-top:30px;
        box-shadow: #111 3px 3px 20px;

    }

    .part2>.content>.right{
        margin-top: 20px;
    }
}



@media (max-width:480px){
    *{
        overflow-x: hidden;
    }
    .hero{
        min-height: 600px;
    }
    .hero > .content > h1{
        font-size: 30px;
    }

    .hero >  .img{
        right: -200px;
        top: 100px;
    }

    .hero > .img > svg{
        height: 500px;
    }

    .hero >.content > .button{
        display:flex;
        justify-content: center;
        align-items: center;
        background: -webkit-linear-gradient(225deg, var(--purple) ,var(--lightblue),var(--pink)) 0 0 / 300% 300%;
        background-size: 200% auto;
        -webkit-animation: gradient_move 3s ease infinite;
        animation: gradient_move 3s ease infinite;
        padding:20px 35px;
        border-radius: 20px;
        margin-top:100px;

    }



    .hero >.content > .button > p{
        font-size: 20px;
    }

    .part2 > .content > .right .card {
        width: 400px;
        background-color: white;
        height: 400px;
        border-radius:30px;
        box-shadow: black 0px 0px 0px;
    }

    .part2 > .content > .right > .card > .topRow {
        width: 100%;
        display: flex;
        flex-direction: row;
        padding-left: 20px;
        height: 100px;
    }

    .part2 > .content > .right > .card > .topRow > .title {
        padding-top: 25px;
        padding-left: 20px;
        margin-top:0;
        margin-left:0;
        font-size: 2rem;
        font-weight: bold;
        width: 80%;

    }

    .part2 > .content > .right > .card > .topRow > .icon {
        margin-left: 100px;
        margin-top: 30px;
        display:none;
    }

    .part2 > .content > .right > .card > .text {
        font-size: 1.1rem;
        display: flex;
        flex-direction: column;
        gap: 10px;
        margin-left: 20px;
        padding-left: 20px;
        border-left: solid var(--purple) 2px;

    }

    .part2 > .content > .right > .card > .bottomLine {
        width: 75%;
        border-bottom: solid var(--purple) 2px;
        margin-left: 50px;
        margin-top: 20px;
        display:none;
    }

    .part2 > .content{
        min-height: 1400px;
    }

    .part3>.cardsWrapper>.cardCover{
        margin-top:20px;
    }

}

